Subject: Re: [Fot] Roadster Factory Burned last night.

From: Brad Eells via Fot <[email-masked]>
Date: Wed, 27 Dec 2023 22:14:29 -0800

The family has yet to speak about the tragic event.

I understand the local newspaper may have secured an interview with Albert that may take place in the next few days. 

I believe that TRF policy was not to charge orders until they were ready to ship, do this seems to be a limited issue.

What happens to all the specialty products and their manufacture remains to be seen.

Perhaps our community can give the Runyan family more than one day to process this disaster before demanding answers?

Brad Eells
Sent from my iPhone

> On Dec 27, 2023, at 8:23 PM, TeriAnn J. Wakeman via Fot <[email-masked]> wrote:
> 
> It is indeed horrible news for those of us who seek parts Moss does not carry. But it has got to be immediate for those of us in the middle of a transaction. Parts paid for but not yet shipped and the computers with info about the transaction up in smoke.
> 
> I find myself wondering about their side curtain rebuilding shop. Customer's factory original side curtains waiting to be rebuilt. Were they stored and rebuilt in the same building or in a different location? I had mine rebuilt a little over a year ago. Very high quality work. I hope customer side curtain frames are someplace else and can be finished.
> 
> Maybe there is special tooling used to make TRF parts located at other companies where special parts were manufactured for TRF? What might happen to anything located in different locations? I'm thankful I have my rebuilt side curtains and the frames are not still sitting at TRF. But what about others?
> 
> TeriAnn
> 
> _______________________________________________
> [email-masked]
> 
> http://www.fot-racing.com
> 
> Donate: http://www.team.net/donate.html
> Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot
> Unsubscribe/Manage: http://autox.team.net/mailman/options/fot/[email-masked]
> 
> 
_______________________________________________
[email-masked]

http://www.fot-racing.com

Donate: http://www.team.net/donate.html
Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot
Unsubscribe/Manage: http://autox.team.net/mailman/options/fot/[email-masked]